#include <iostream>
#include "hezagosvektor.h"

using namespace std;

int main()
{
    cerr << "Hezagos vektor" << endl;

    /// deklaracio
    int hossz;
    int db;
    int index;
    double ertek;
    hezagosvektor v1;
    hezagosvektor v2;

    hezagosvektor vo;


    /// beolvasas
    cerr << "Milyen hosszuak a vektorok? :";
    cin >> hossz;

    cerr << "Hany elemed van az elso vektorban? :";
    cin >> db;
    for (int i=1;i<=db;i++) {
        cerr << i << ". elem indexe? :";
        cin >> index;
        cerr << i << ". elem erteke? :";
        cin >> ertek;
        v1.modosit(index,ertek);
    }

    cerr << "Hany elemed van a masodik vektorban? :";
    cin >> db;
    for (int i=1;i<=db;i++) {
        cerr << i << ". elem indexe? :";
        cin >> index;
        cerr << i << ". elem erteke? :";
        cin >> ertek;
        v2.modosit(index,ertek);
    }

    /// algoritmus implementalasa
    for (int i=1;i<=hossz;i++) {
        vo.modosit(i,v1.ertek(i)+v2.ertek(i));
    }

    /// kiiras
    cerr << "Osszeg vektor elemei:" << endl;
    for (int i=1;i<=hossz;i++) {
        cout << vo.ertek(i) << " ";
    }
    cout << endl;

    return 0;
}


/*
original version
const int MaxN=100;

int main()
{
    cerr << "Hezagos vektor" << endl;

    /// deklaracio
    int hossz;
    double v1[MaxN];
    double v2[MaxN];

    double vo[MaxN];


    /// beolvasas
    cerr << "Milyen hosszuak a vektorok? :";
    cin >> hossz;

    for (int i=0;i<hossz;i++) {
        cerr << "Elso vektor " << (i+1) << ". eleme? :";
        cin >> v1[i];
    }

    for (int i=0;i<hossz;i++) {
        cerr << "Masodik vektor " << (i+1) << ". eleme? :";
        cin >> v2[i];
    }

    /// algoritmus implementalasa
    for (int i=0;i<hossz;i++) {
        vo[i]=v1[i]+v2[i];
    }

    /// kiiras
    cerr << "Osszeg vektor elemei:" << endl;
    for (int i=0;i<hossz;i++) {
        cout << vo[i] << " ";
    }
    cout << endl;

    return 0;
}


*/
